Subject: Re: bug#54034: 29.0.50; Diff prettify broken for empty files

From: Stefan Monnier <[email-masked]>
Date: Wed, 29 Jun 2022 14:55:18 -0400

> Wouldn't it be safer to simply disable prettification of the "diff
> header" when diff-buffer-type isn't equal to git?

Could be, tho I think the current code ends up doing something similar.

FWIW, I tend to prefer using the buffer's content rather than the value
of a buffer-local variable (to the extend possible) when deciding
whether a given diff header can be prettified.

[ After all, some diffs may be the result of running several commands,
  some of which are Git but not all, so the "type" may be different for
  different headers in the same buffer.  ]

        Stefan